test: feproto.h File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# feproto.h File Reference

Go to the source code of this file.

## Defines

#define | famax fp82_famax
#define | fpamax fp82_fpamax
#define | famin fp82_famin
#define | fpamin fp82_fpamin
#define | fcmp_eq fp82_fcmp_eq
#define | fcmp_lt fp82_fcmp_lt
#define | fcmp_le fp82_fcmp_le
#define | fcmp_unord fp82_fcmp_unord
#define | fpcmp_eq fp82_fpcmp_eq
#define | fpcmp_lt fp82_fpcmp_lt
#define | fpcmp_le fp82_fpcmp_le
#define | fpcmp_unord fp82_fpcmp_unord
#define | fpcmp_neq fp82_fpcmp_neq
#define | fpcmp_nlt fp82_fpcmp_nlt
#define | fpcmp_nle fp82_fpcmp_nle
#define | fpcmp_ord fp82_fpcmp_ord
#define | fcvt_fx fp82_fcvt_fx
#define | fcvt_fx_trunc fp82_fcvt_fx_trunc
#define | fcvt_fxu fp82_fcvt_fxu
#define | fcvt_fxu_trunc fp82_fcvt_fxu_trunc
#define | fpcvt_fxu_trunc fp82_fpcvt_fxu_trunc
#define | fpcvt_fxu fp82_fpcvt_fxu
#define | fpcvt_fx fp82_fpcvt_fx
#define | fpcvt_fx_trunc fp82_fpcvt_fx_trunc
#define | fma fp82_fma
#define | fpma fp82_fpma
#define | fmax fp82_fmax
#define | fpmax fp82_fpmax
#define | fmin fp82_fmin
#define | fpmin fp82_fpmin
#define | fms fp82_fms
#define | fpms fp82_fpms
#define | fnma fp82_fnma
#define | fpnma fp82_fpnma
#define | frcpa fp82_frcpa
#define | fprcpa fp82_fprcpa
#define | frsqrta fp82_frsqrta
#define | fprsqrta fp82_fprsqrta

## Functions

void | fp82_famax (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fpamax (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_famin (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fpamin (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fcmp_eq (EM_state_type *ps, EM_opcode_ctype_type ctype, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_pred_reg_specifier p1, EM_pred_reg_specifier p2, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fcmp_lt (EM_state_type *ps, EM_opcode_ctype_type ctype, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_pred_reg_specifier p1, EM_pred_reg_specifier p2, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fcmp_le (EM_state_type *ps, EM_opcode_ctype_type ctype, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_pred_reg_specifier p1, EM_pred_reg_specifier p2, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fcmp_unord (EM_state_type *ps, EM_opcode_ctype_type ctype, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_pred_reg_specifier p1, EM_pred_reg_specifier p2, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fpcmp_eq (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fpcmp_lt (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fpcmp_le (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fpcmp_unord (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fpcmp_neq (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fpcmp_nlt (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fpcmp_nle (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fpcmp_ord (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fcvt_fx (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2)
void | fp82_fcvt_fx_trunc (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2)
void | fp82_fcvt_fxu (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2)
void | fp82_fcvt_fxu_trunc (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2)
void | fp82_fpcvt_fx (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2)
void | fp82_fpcvt_fx_trunc (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2)
void | fp82_fpcvt_fxu (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2)
void | fp82_fpcvt_fxu_trunc (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2)
void | fp82_fma (EM_state_type *ps, EM_opcode_pc_type pc, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f3, EM_fp_reg_specifier f4, EM_fp_reg_specifier f2)
void | fp82_fpma (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f3, EM_fp_reg_specifier f4, EM_fp_reg_specifier f2)
void | fp82_fmax (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fpmax (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fmin (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fpmin (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fms (EM_state_type *ps, EM_opcode_pc_type pc, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f3, EM_fp_reg_specifier f4, EM_fp_reg_specifier f2)
void | fp82_fpms (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f3, EM_fp_reg_specifier f4, EM_fp_reg_specifier f2)
void | fp82_fnma (EM_state_type *ps, EM_opcode_pc_type pc, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f3, EM_fp_reg_specifier f4, EM_fp_reg_specifier f2)
void | fp82_fpnma (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_fp_reg_specifier f3, EM_fp_reg_specifier f4, EM_fp_reg_specifier f2)
void | fp82_frcpa (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_pred_reg_specifier p2, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_fprcpa (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_pred_reg_specifier p2, EM_fp_reg_specifier f2, EM_fp_reg_specifier f3)
void | fp82_frsqrta (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_pred_reg_specifier p2, EM_fp_reg_specifier f3)
void | fp82_fprsqrta (EM_state_type *ps, EM_opcode_sf_type sf, EM_pred_reg_specifier qp, EM_fp_reg_specifier f1, EM_pred_reg_specifier p2, EM_fp_reg_specifier f3)

## Define Documentation

#define famax fp82_famax

| Definition at line 393 of file feproto.h. Referenced by fp_emulate().

#define famin fp82_famin

| Definition at line 395 of file feproto.h. Referenced by fp_emulate().

#define fcmp_eq fp82_fcmp_eq

| Definition at line 398 of file feproto.h. Referenced by fp_emulate().

#define fcmp_le fp82_fcmp_le

| Definition at line 400 of file feproto.h. Referenced by fp_emulate().

#define fcmp_lt fp82_fcmp_lt

| Definition at line 399 of file feproto.h. Referenced by fp_emulate().

#define fcmp_unord fp82_fcmp_unord

| Definition at line 401 of file feproto.h. Referenced by fp_emulate().

#define fcvt_fx fp82_fcvt_fx

| Definition at line 412 of file feproto.h. Referenced by fp_emulate().

#define fcvt_fx_trunc fp82_fcvt_fx_trunc

| Definition at line 413 of file feproto.h. Referenced by fp_emulate().

#define fcvt_fxu fp82_fcvt_fxu

| Definition at line 414 of file feproto.h. Referenced by fp_emulate().

#define fcvt_fxu_trunc fp82_fcvt_fxu_trunc

| Definition at line 415 of file feproto.h. Referenced by fp_emulate().

#define fma fp82_fma

| Definition at line 423 of file feproto.h. Referenced by fp_emulate().

#define fmax fp82_fmax

| Definition at line 425 of file feproto.h. Referenced by fp_emulate().

#define fmin fp82_fmin

| Definition at line 427 of file feproto.h. Referenced by fp_emulate().

#define fms fp82_fms

| Definition at line 429 of file feproto.h. Referenced by fp_emulate().

#define fnma fp82_fnma

| Definition at line 431 of file feproto.h. Referenced by fp_emulate().

#define fpamax fp82_fpamax

| Definition at line 394 of file feproto.h. Referenced by fp_emulate().

#define fpamin fp82_fpamin

| Definition at line 396 of file feproto.h. Referenced by fp_emulate().

#define fpcmp_eq fp82_fpcmp_eq

| Definition at line 403 of file feproto.h. Referenced by fp_emulate().

#define fpcmp_le fp82_fpcmp_le

| Definition at line 405 of file feproto.h. Referenced by fp_emulate().

#define fpcmp_lt fp82_fpcmp_lt

| Definition at line 404 of file feproto.h. Referenced by fp_emulate().

#define fpcmp_neq fp82_fpcmp_neq

| Definition at line 407 of file feproto.h. Referenced by fp_emulate().

#define fpcmp_nle fp82_fpcmp_nle

| Definition at line 409 of file feproto.h. Referenced by fp_emulate().

#define fpcmp_nlt fp82_fpcmp_nlt

| Definition at line 408 of file feproto.h. Referenced by fp_emulate().

#define fpcmp_ord fp82_fpcmp_ord

| Definition at line 410 of file feproto.h. Referenced by fp_emulate().

#define fpcmp_unord fp82_fpcmp_unord

| Definition at line 406 of file feproto.h. Referenced by fp_emulate().

#define fpcvt_fx fp82_fpcvt_fx

| Definition at line 419 of file feproto.h. Referenced by fp_emulate().

#define fpcvt_fx_trunc fp82_fpcvt_fx_trunc

| Definition at line 420 of file feproto.h. Referenced by fp_emulate().

#define fpcvt_fxu fp82_fpcvt_fxu

| Definition at line 418 of file feproto.h. Referenced by fp_emulate().

#define fpcvt_fxu_trunc fp82_fpcvt_fxu_trunc

| Definition at line 417 of file feproto.h. Referenced by fp_emulate().

#define fpma fp82_fpma

| Definition at line 424 of file feproto.h. Referenced by fp_emulate().

#define fpmax fp82_fpmax

| Definition at line 426 of file feproto.h. Referenced by fp_emulate().

#define fpmin fp82_fpmin

| Definition at line 428 of file feproto.h. Referenced by fp_emulate().

#define fpms fp82_fpms

| Definition at line 430 of file feproto.h. Referenced by fp_emulate().

#define fpnma fp82_fpnma

| Definition at line 432 of file feproto.h. Referenced by fp_emulate().

#define fprcpa fp82_fprcpa

| Definition at line 434 of file feproto.h. Referenced by fp_emulate().

#define fprsqrta fp82_fprsqrta

| Definition at line 436 of file feproto.h. Referenced by fp_emulate().

#define frcpa fp82_frcpa

| Definition at line 433 of file feproto.h. Referenced by fp_emulate().

#define frsqrta fp82_frsqrta

| Definition at line 435 of file feproto.h. Referenced by fp_emulate().

## Function Documentation

void fp82_famax | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 323 of file feinstr.c.

References _famax(), EM_uint_t, GETSTATE_F8, and PUTSTATE_F8.

    00329 {
    00330     GETSTATE_F8(qp,f1,f2,f3);
    00331     _famax(ps, sf, (EM_uint_t)qp, (EM_uint_t)f1, (EM_uint_t)f2, (EM_uint_t)f3);
    00332     PUTSTATE_F8(f1);
    00333 }

void fp82_famin | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 307 of file feinstr.c.

References _famin(), EM_uint_t, GETSTATE_F8, and PUTSTATE_F8.

    00313 {
    00314     GETSTATE_F8(qp,f1,f2,f3);
    00315     _famin(ps, sf, (EM_uint_t)qp, (EM_uint_t)f1, (EM_uint_t)f2, (EM_uint_t)f3);
    00316     PUTSTATE_F8(f1);
    00317 }

void fp82_fcmp_eq | ( | EM_state_type * | ps,
|  | EM_opcode_ctype_type | ctype,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_pred_reg_specifier | p1,
|  | EM_pred_reg_specifier | p2,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 139 of file feinstr.c.

References _fcmp(), EM_uint_t, frelEQ, GETSTATE_F4, and PUTSTATE_F4.

    00147 {
    00148     GETSTATE_F4(qp,p1,p2,f2,f3);
    00149     _fcmp(ps, frelEQ, fctype, sf, (EM_uint_t)qp,
    00150         (EM_uint_t)p1, (EM_uint_t)p2, (EM_uint_t)f2, (EM_uint_t)f3);
    00151     PUTSTATE_F4(p1,p2);
    00152 }

void fp82_fcmp_le | ( | EM_state_type * | ps,
|  | EM_opcode_ctype_type | ctype,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_pred_reg_specifier | p1,
|  | EM_pred_reg_specifier | p2,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 171 of file feinstr.c.

References _fcmp(), EM_uint_t, frelLE, GETSTATE_F4, and PUTSTATE_F4.

    00179 {
    00180     GETSTATE_F4(qp,p1,p2,f2,f3);
    00181     _fcmp(ps, frelLE, fctype, sf, (EM_uint_t)qp,
    00182         (EM_uint_t)p1, (EM_uint_t)p2, (EM_uint_t)f2, (EM_uint_t)f3);
    00183     PUTSTATE_F4(p1,p2);
    00184 }

void fp82_fcmp_lt | ( | EM_state_type * | ps,
|  | EM_opcode_ctype_type | ctype,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_pred_reg_specifier | p1,
|  | EM_pred_reg_specifier | p2,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 155 of file feinstr.c.

References _fcmp(), EM_uint_t, frelLT, GETSTATE_F4, and PUTSTATE_F4.

    00163 {
    00164     GETSTATE_F4(qp,p1,p2,f2,f3);
    00165     _fcmp(ps, frelLT, fctype, sf, (EM_uint_t)qp,
    00166         (EM_uint_t)p1, (EM_uint_t)p2, (EM_uint_t)f2, (EM_uint_t)f3);
    00167     PUTSTATE_F4(p1,p2);
    00168 }

void fp82_fcmp_unord | ( | EM_state_type * | ps,
|  | EM_opcode_ctype_type | ctype,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_pred_reg_specifier | p1,
|  | EM_pred_reg_specifier | p2,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 187 of file feinstr.c.

References _fcmp(), EM_uint_t, frelUNORD, GETSTATE_F4, and PUTSTATE_F4.

    00195 {
    00196     GETSTATE_F4(qp,p1,p2,f2,f3);
    00197     _fcmp(ps, frelUNORD, fctype, sf, (EM_uint_t)qp,
    00198     (EM_uint_t)p1, (EM_uint_t)p2, (EM_uint_t)f2, (EM_uint_t)f3);
    00199     PUTSTATE_F4(p1,p2);
    00200 }

void fp82_fcvt_fx | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2
| ) |

Definition at line 524 of file feinstr.c.

References _fcvt_fx(), EM_uint_t, GETSTATE_F10, PUTSTATE_F10, and SIGNED_FORM.

    00529 {
    00530     GETSTATE_F10(qp,f1,f2);
    00531     SIGNED_FORM   = 1;
    00532     _fcvt_fx(ps, sf, (EM_uint_t)qp, (EM_uint_t)f1, (EM_uint_t)f2);
    00533     PUTSTATE_F10(f1);
    00534 }

void fp82_fcvt_fx_trunc | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2
| ) |

Definition at line 551 of file feinstr.c.

References _fcvt_fx(), EM_uint_t, GETSTATE_F10, PUTSTATE_F10, SIGNED_FORM, and TRUNC_FORM.

    00556 {
    00557
    00558     GETSTATE_F10(qp,f1,f2);
    00559     SIGNED_FORM   = 1;
    00560     TRUNC_FORM    = 1;
    00561     _fcvt_fx(ps, sf, (EM_uint_t)qp, (EM_uint_t)f1, (EM_uint_t)f2);
    00562     PUTSTATE_F10(f1);
    00563 }

void fp82_fcvt_fxu | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2
| ) |

Definition at line 537 of file feinstr.c.

References _fcvt_fx(), EM_uint_t, GETSTATE_F10, PUTSTATE_F10, and UNSIGNED_FORM.

    00542 {
    00543     GETSTATE_F10(qp,f1,f2);
    00544     UNSIGNED_FORM = 1;
    00545     _fcvt_fx(ps, sf, (EM_uint_t)qp, (EM_uint_t)f1, (EM_uint_t)f2);
    00546     PUTSTATE_F10(f1);
    00547 }

void fp82_fcvt_fxu_trunc | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2
| ) |

Definition at line 567 of file feinstr.c.

References _fcvt_fx(), EM_uint_t, GETSTATE_F10, PUTSTATE_F10, TRUNC_FORM, and UNSIGNED_FORM.

    00572 {
    00573     GETSTATE_F10(qp,f1,f2);
    00574     TRUNC_FORM    = 1;
    00575     UNSIGNED_FORM = 1;
    00576     _fcvt_fx(ps, sf, (EM_uint_t)qp, (EM_uint_t)f1, (EM_uint_t)f2);
    00577     PUTSTATE_F10(f1);
    00578 }

void fp82_fma | ( | EM_state_type * | ps,
|  | EM_opcode_pc_type | pc,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f3,
|  | EM_fp_reg_specifier | f4,
|  | EM_fp_reg_specifier | f2
| ) |

Definition at line 30 of file feinstr.c.

References _fma(), EM_state_type, GETSTATE_F1, and PUTSTATE_F1.

    00038 {
    00039     GETSTATE_F1(qp,f1,f3,f4,f2);
    00040     _fma(ps, pc, sf, qp, f1, f3, f4, f2);
    00041     PUTSTATE_F1(f1);
    00042 }

void fp82_fmax | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 291 of file feinstr.c.

References _fmax(), GETSTATE_F8, and PUTSTATE_F8.

    00297 {
    00298     GETSTATE_F8(qp,f1,f2,f3);
    00299     _fmax(ps, sf, qp, f1, f2, f3);
    00300     PUTSTATE_F8(f1);
    00301 }

void fp82_fmin | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 275 of file feinstr.c.

References _fmin(), GETSTATE_F8, and PUTSTATE_F8.

    00281 {
    00282     GETSTATE_F8(qp,f1,f2,f3);
    00283     _fmin(ps, sf, qp, f1, f2, f3);
    00284     PUTSTATE_F8(f1);
    00285 }

void fp82_fms | ( | EM_state_type * | ps,
|  | EM_opcode_pc_type | pc,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f3,
|  | EM_fp_reg_specifier | f4,
|  | EM_fp_reg_specifier | f2
| ) |

Definition at line 66 of file feinstr.c.

References _fms(), GETSTATE_F1, and PUTSTATE_F1.

    00074 {
    00075     GETSTATE_F1(qp,f1,f3,f4,f2);
    00076     _fms(ps, pc, sf, qp, f1, f3, f4, f2);
    00077     PUTSTATE_F1(f1);
    00078 }

void fp82_fnma | ( | EM_state_type * | ps,
|  | EM_opcode_pc_type | pc,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f3,
|  | EM_fp_reg_specifier | f4,
|  | EM_fp_reg_specifier | f2
| ) |

Definition at line 103 of file feinstr.c.

References _fnma(), GETSTATE_F1, and PUTSTATE_F1.

    00111 {
    00112     GETSTATE_F1(qp,f1,f3,f4,f2);
    00113     _fnma(ps, pc, sf, qp, f1, f3, f4, f2);
    00114     PUTSTATE_F1(f1);
    00115 }

void fp82_fpamax | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 390 of file feinstr.c.

References _fpamax(), EM_uint_t, GETSTATE_F8, and PUTSTATE_F8.

    00396 {
    00397     GETSTATE_F8(qp,f1,f2,f3);
    00398     _fpamax(ps, sf, (EM_uint_t)qp, (EM_uint_t)f1, (EM_uint_t)f2, (EM_uint_t)f3);
    00399     PUTSTATE_F8(f1);
    00400 }

void fp82_fpamin | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 373 of file feinstr.c.

References _fpamin(), EM_uint_t, GETSTATE_F8, and PUTSTATE_F8.

    00379 {
    00380     GETSTATE_F8(qp,f1,f2,f3);
    00381     _fpamin(ps, sf, (EM_uint_t)qp, (EM_uint_t)f1, (EM_uint_t)f2, (EM_uint_t)f3);
    00382     PUTSTATE_F8(f1);
    00383 }

void fp82_fpcmp_eq | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 407 of file feinstr.c.

References _fpcmp(), EM_uint_t, frelEQ, GETSTATE_F8, and PUTSTATE_F8.

    00413 {
    00414     GETSTATE_F8(qp,f1,f2,f3);
    00415     _fpcmp(ps, frelEQ, sf, (EM_uint_t)qp,
    00416           (EM_uint_t)f1, (EM_uint_t)f2, (EM_uint_t)f3);
    00417     PUTSTATE_F8(f1);
    00418 }

void fp82_fpcmp_le | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 436 of file feinstr.c.

References _fpcmp(), EM_uint_t, frelLE, GETSTATE_F8, and PUTSTATE_F8.

    00442 {
    00443    GETSTATE_F8(qp,f1,f2,f3);
    00444    _fpcmp(ps, frelLE, sf, (EM_uint_t)qp,
    00445           (EM_uint_t)f1, (EM_uint_t)f2, (EM_uint_t)f3);
    00446    PUTSTATE_F8(f1);
    00447 }

void fp82_fpcmp_lt | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 422 of file feinstr.c.

References _fpcmp(), EM_uint_t, frelLT, GETSTATE_F8, and PUTSTATE_F8.

    00428 {
    00429     GETSTATE_F8(qp,f1,f2,f3);
    00430     _fpcmp(ps, frelLT, sf, (EM_uint_t)qp,
    00431           (EM_uint_t)f1, (EM_uint_t)f2, (EM_uint_t)f3);
    00432     PUTSTATE_F8(f1);
    00433 }

void fp82_fpcmp_neq | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 464 of file feinstr.c.

References _fpcmp(), EM_uint_t, frelNEQ, GETSTATE_F8, and PUTSTATE_F8.

    00470 {
    00471     GETSTATE_F8(qp,f1,f2,f3);
    00472     _fpcmp(ps,
    00473            frelNEQ,                 sf, (EM_uint_t)qp,
    00474            (EM_uint_t)f1, (EM_uint_t)f2, (EM_uint_t)f3);
    00475     PUTSTATE_F8(f1);
    00476 }

void fp82_fpcmp_nle | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 493 of file feinstr.c.

References _fpcmp(), EM_uint_t, frelNLE, GETSTATE_F8, and PUTSTATE_F8.

    00499 {
    00500     GETSTATE_F8(qp,f1,f2,f3);
    00501     _fpcmp(ps, frelNLE, sf, (EM_uint_t)qp,
    00502           (EM_uint_t)f1, (EM_uint_t)f2, (EM_uint_t)f3);
    00503     PUTSTATE_F8(f1);
    00504 }

void fp82_fpcmp_nlt | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 479 of file feinstr.c.

References _fpcmp(), EM_uint_t, frelNLT, GETSTATE_F8, and PUTSTATE_F8.

    00485 {
    00486     GETSTATE_F8(qp,f1,f2,f3);
    00487     _fpcmp(ps, frelNLT, sf, (EM_uint_t)qp,
    00488           (EM_uint_t)f1, (EM_uint_t)f2, (EM_uint_t)f3);
    00489     PUTSTATE_F8(f1);
    00490 }

void fp82_fpcmp_ord | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 507 of file feinstr.c.

References _fpcmp(), EM_uint_t, frelORD, GETSTATE_F8, and PUTSTATE_F8.

    00513 {
    00514     GETSTATE_F8(qp,f1,f2,f3);
    00515     _fpcmp(ps, frelORD, sf, (EM_uint_t)qp,
    00516           (EM_uint_t)f1, (EM_uint_t)f2, (EM_uint_t)f3);
    00517     PUTSTATE_F8(f1);
    00518 }

void fp82_fpcmp_unord | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 450 of file feinstr.c.

References _fpcmp(), EM_uint_t, frelUNORD, GETSTATE_F8, and PUTSTATE_F8.

    00456 {
    00457     GETSTATE_F8(qp,f1,f2,f3);
    00458     _fpcmp(ps, frelUNORD, sf, (EM_uint_t)qp,
    00459           (EM_uint_t)f1, (EM_uint_t)f2, (EM_uint_t)f3);
    00460     PUTSTATE_F8(f1);
    00461 }

void fp82_fpcvt_fx | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2
| ) |

Definition at line 585 of file feinstr.c.

References _fpcvt_fx(), EM_uint_t, GETSTATE_F10, PUTSTATE_F10, and SIGNED_FORM.

    00590 {
    00591     GETSTATE_F10(qp,f1,f2);
    00592     SIGNED_FORM   = 1;
    00593     _fpcvt_fx(ps, sf, (EM_uint_t)qp, (EM_uint_t)f1, (EM_uint_t)f2);
    00594     PUTSTATE_F10(f1);
    00595 }

void fp82_fpcvt_fx_trunc | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2
| ) |

Definition at line 612 of file feinstr.c.

References _fpcvt_fx(), EM_uint_t, GETSTATE_F10, PUTSTATE_F10, SIGNED_FORM, and TRUNC_FORM.

    00617 {
    00618
    00619     GETSTATE_F10(qp,f1,f2);
    00620     SIGNED_FORM   = 1;
    00621     TRUNC_FORM    = 1;
    00622     _fpcvt_fx(ps, sf, (EM_uint_t)qp, (EM_uint_t)f1, (EM_uint_t)f2);
    00623     PUTSTATE_F10(f1);
    00624 }

void fp82_fpcvt_fxu | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2
| ) |

Definition at line 599 of file feinstr.c.

References _fpcvt_fx(), EM_uint_t, GETSTATE_F10, PUTSTATE_F10, and UNSIGNED_FORM.

    00604 {
    00605     GETSTATE_F10(qp,f1,f2);
    00606     UNSIGNED_FORM = 1;
    00607     _fpcvt_fx(ps, sf, (EM_uint_t)qp, (EM_uint_t)f1, (EM_uint_t)f2);
    00608     PUTSTATE_F10(f1);
    00609 }

void fp82_fpcvt_fxu_trunc | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2
| ) |

Definition at line 627 of file feinstr.c.

References _fpcvt_fx(), EM_uint_t, GETSTATE_F10, PUTSTATE_F10, TRUNC_FORM, and UNSIGNED_FORM.

    00632 {
    00633     GETSTATE_F10(qp,f1,f2);
    00634     TRUNC_FORM    = 1;
    00635     UNSIGNED_FORM = 1;
    00636     _fpcvt_fx(ps, sf, (EM_uint_t)qp, (EM_uint_t)f1, (EM_uint_t)f2);
    00637     PUTSTATE_F10(f1);
    00638 }

void fp82_fpma | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f3,
|  | EM_fp_reg_specifier | f4,
|  | EM_fp_reg_specifier | f2
| ) |

Definition at line 49 of file feinstr.c.

References _fpma(), GETSTATE_F1, and PUTSTATE_F1.

    00056 {
    00057     GETSTATE_F1(qp,f1,f3,f4,f2);
    00058     _fpma(ps, sf, qp, f1, f3, f4, f2);
    00059     PUTSTATE_F1(f1);
    00060 }

void fp82_fpmax | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 357 of file feinstr.c.

References _fpmax(), GETSTATE_F8, and PUTSTATE_F8.

    00363 {
    00364     GETSTATE_F8(qp,f1,f2,f3);
    00365     _fpmax(ps, sf, qp, f1, f2, f3);
    00366     PUTSTATE_F8(f1);
    00367 }

void fp82_fpmin | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 340 of file feinstr.c.

References _fpmin(), GETSTATE_F8, and PUTSTATE_F8.

    00346 {
    00347     GETSTATE_F8(qp,f1,f2,f3);
    00348     _fpmin(ps, sf, qp, f1, f2, f3);
    00349     PUTSTATE_F8(f1);
    00350 }

void fp82_fpms | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f3,
|  | EM_fp_reg_specifier | f4,
|  | EM_fp_reg_specifier | f2
| ) |

Definition at line 85 of file feinstr.c.

References _fpms(), GETSTATE_F1, and PUTSTATE_F1.

    00092 {
    00093     GETSTATE_F1(qp,f1,f3,f4,f2);
    00094     _fpms(ps, sf, qp, f1, f3, f4, f2);
    00095     PUTSTATE_F1(f1);
    00096 }

void fp82_fpnma | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_fp_reg_specifier | f3,
|  | EM_fp_reg_specifier | f4,
|  | EM_fp_reg_specifier | f2
| ) |

Definition at line 121 of file feinstr.c.

References _fpnma(), GETSTATE_F1, and PUTSTATE_F1.

    00128 {
    00129     GETSTATE_F1(qp,f1,f3,f4,f2);
    00130     _fpnma(ps, sf, qp, f1, f3, f4, f2);
    00131     PUTSTATE_F1(f1);
    00132 }

void fp82_fprcpa | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_pred_reg_specifier | p2,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 224 of file feinstr.c.

References _fprcpa(), GETSTATE_F6, and PUTSTATE_F6.

    00231 {
    00232     GETSTATE_F6(qp,f1,p2,f2,f3);
    00233     _fprcpa(ps, sf, qp, f1, p2, f2, f3);
    00234     PUTSTATE_F6(f1,p2);
    00235 }

void fp82_fprsqrta | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_pred_reg_specifier | p2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 259 of file feinstr.c.

References _fprsqrta(), GETSTATE_F7, and PUTSTATE_F7.

    00265 {
    00266     GETSTATE_F7(qp,f1,p2,f3);
    00267     _fprsqrta(ps, sf, qp, f1, p2, f3);
    00268     PUTSTATE_F7(f1,p2);
    00269 }

void fp82_frcpa | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_pred_reg_specifier | p2,
|  | EM_fp_reg_specifier | f2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 207 of file feinstr.c.

References _frcpa(), GETSTATE_F6, and PUTSTATE_F6.

    00214 {
    00215     GETSTATE_F6(qp,f1,p2,f2,f3);
    00216     _frcpa(ps, sf, qp, f1, p2, f2, f3);
    00217     PUTSTATE_F6(f1,p2);
    00218 }

void fp82_frsqrta | ( | EM_state_type * | ps,
|  | EM_opcode_sf_type | sf,
|  | EM_pred_reg_specifier | qp,
|  | EM_fp_reg_specifier | f1,
|  | EM_pred_reg_specifier | p2,
|  | EM_fp_reg_specifier | f3
| ) |

Definition at line 243 of file feinstr.c.

References _frsqrta(), GETSTATE_F7, and PUTSTATE_F7.

    00249 {
    00250     GETSTATE_F7(qp,f1,p2,f3);
    00251     _frsqrta(ps, sf, qp, f1, p2, f3);
    00252     PUTSTATE_F7(f1,p2);
    00253 }